package-updates/install_check.pl error

Webmin
2011-01-25
2013-06-20
  • Hi,

    on the System Information page on one system (Ubuntu 8.04 server, Webmin 1.530) the output is not complete (finishs with current timestamp) and we have an error message in the upper part:

    Require package-updates/install_check.pl failed :
    Died at (eval 162) line 1
    

    .
    The system works fine in all other manners, e.g. updating the Ubuntu packages works fine.

    I did not find anything on Google regarding this. I looked at the scripts on the disk, everything looks fine, also an reinstall of webmin did not fix the problem.

    Any ideas?

    Best regards
    Wolfgang

     
  • Temtaime
    Temtaime
    2012-11-11

    Up. Also have this problem with fedora.

     
  • Waraqa
    Waraqa
    2013-03-11

    Up. Also have this problem with fedora.

     

  • Anonymous
    2013-03-17

    I resolved this on a Fedora 18 minimal install by installing perl-CPAN and it's dependencies (11 packages). I didn't research far enough to see if simply one or more of the dependencies would have also resolved it.

    This also resolved an error I was getting in the Software Package Updates module that was complaining it could not find Data/Dumper.pl

     
  • Anonymous
    Anonymous
    2013-06-20

    I installed Fedora on the minimum version and after installing and logging into webmin, returned the message: "Require package-updates/install_check.pl failed:".

    Solved just installing the package perl-Data-Dumper.

    I wrote this to help those who have the same problem and do not install unnecessary packages.